Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Typedef Nes::Api::Cartridge::ChooseProfileCallback

Cartridge profile chooser callback prototype.

Parameters:
  `userData` - optional user data
  `profiles` - pointer to an array of profiles
  `profileNames` - pointer to a wide-string array of profile names
  `numProfiles` - number of profiles to choose between
Returns:
  array index of chosen profile

Details

### ChooseProfileCallback

    public typedef uint( NST_CALLBACK* ChooseProfileCallback )( UserData userData, const Profile* profiles, const std::wstring* profileNames, uint numProfiles );

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD